# OSI模型

> **<span style="color:red;">一、OSI模型</span>**<br>
> &nbsp;&nbsp;&nbsp;&nbsp;<span style="color:blue;">理解</span>0SI七层模型构成及每一层的作用；<br>
> &nbsp;&nbsp;&nbsp;&nbsp;<span style="color:blue;">理解</span>协议分层的作用。
>
> **二、OSI模型通信过程**<br>
> &nbsp;&nbsp;&nbsp;&nbsp;<span style="color:blue;">理解</span>OSI模型通信过程及数据封装、分用等概念。
>
> **三、OSI模型安全体系构成**<br>
> &nbsp;&nbsp;&nbsp;&nbsp;<span style="color:green;">了解</span>OSI模型安全体系的构成；<br>
> &nbsp;&nbsp;&nbsp;&nbsp;<span style="color:green;">了解</span>OSI模型的<span style="color:red;">五类安全服务</span>、<span style="color:red;">八种安全机制</span>的概念。

### 一、OSI模型

> 模型定义了网络中不同计算机系统进行通信的基本过程和方法。

#### 1、底层协议

- 偏重于处理实际的信息传输负责创建网络通信连接的链路包括<span style="color:red;">物理层</span>、<span style="color:red;">数据链路层</span>、<span style="color:red;">网络层</span>、<span style="color:red;">传输层</span>。

#### 2、高层协议

- 处理用户服务和各种应用请求包括<span style="color:red;">会话层</span>、<span style="color:red;">表示层</span>、<span style="color:red;">应用层</span>。

![image-20241002142353330](https://picgo-noriu.oss-cn-beijing.aliyuncs.com/Images/image-20241002142353330.png) 

### 二、OSI模型通信过程

#### 1、分层结构的优点

- 各层间相互独立
- 降低复杂性
- 促进标准化工作
- 协议开发模块化

#### 2、数据封装与分用（解封装）

![image-20241002142739787](https://picgo-noriu.oss-cn-beijing.aliyuncs.com/Images/image-20241002142739787.png) 

### 三、OSI七层模型安全体系

![image-20241002143626321](https://picgo-noriu.oss-cn-beijing.aliyuncs.com/Images/image-20241002143626321.png) 

#### 1、目标

- 保证<span style="color:red;">异构</span>计算机进程与进程之间远距离交换信息的安全。

#### <span style="color:red;">2、五类安全服务</span>

- 鉴别服务、访问控制服务、数据完整性服务、数据保密性服务和抗抵赖服务。

#### <span style="color:red;">3、八种安全机制</span>

- 加密、数据签名、访问控制数据完整性、鉴别交换、业务流填充、路由控制和公证。