# 软件安全交付

> **一、软件供应链安全**<br>
> &nbsp;&nbsp;&nbsp;&nbsp;<span style="color:green;">了解</span>软件供应链安全的概念并理解软件供应链安全措施。
>
> **二、软件安全验收**<br>
> &nbsp;&nbsp;&nbsp;&nbsp;<span style="color:green;">了解</span>软件安全验收的重要性及需要考虑的内容。
>
> **三、软件安全部署**<br>
> &nbsp;&nbsp;&nbsp;&nbsp;<span style="color:green;">了解</span>软件安全部署的重要性及软件安全加固、软件安全配置的概念。

### 一、软件供应链安全

#### 1、供应链安全概念

- 目前软件安全开发生命周期中新的威胁，涉及到软件的代码编写、代码编译、软件分发、软件更新
- 代码编写：共享库
- 代码编译：被污染的编译软件
- 软件分发/更新：污染源头

#### 2、供应链安全应对策略

- 安全流程覆盖到引入的第三方代码中
- 可靠的编译软件获取方式
- 官方渠道、发布验证

### 二、软件安全验收

- 正式的验收流程
- 安全纳入到验收考虑中

### 三、软件安全部署

- 提供软件部署所需要的文档和工具
- 软件加固
- 软件安全配置